Bug 195011 - bzflag fails assertion when trying to play certain levels
bzflag fails assertion when trying to play certain levels
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: bzflag (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE6Target
  Show dependency treegraph
 
Reported: 2006-06-14 09:29 EDT by Jonathan Berry
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 11:57:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Berry 2006-06-14 09:29:35 EDT
Description of problem:
When connecting to a server to play some levels, bzflag crashes with a failed
assertion:
bzflag: indirect_vertex_array.c:659: emit_DrawArrays_old: Assertion
`elements_per_request >= count' failed.

This happens immediately after connecting to the server right before the game
should come up telling you to press i or right click to spawn.  This only
happens for some levels, or more specifically does not happen for some levels.

Version-Release number of selected component (if applicable):
$ bzflag --version
BZFlag client 2.0.8.20060516-MAINT-linux-gnu-SDL (protocol 0026) http://BZFlag.org/
$ rpm -qa bzflag
bzflag-2.0.8-1.fc5.x86_64

Only this version seems to have this problem.  The earlier version, 2.0.4-3,
works fine.

How reproducible:
Always on certain levels.  Does not occur when playing some levels.

Steps to Reproduce:
1. Start bzflag (from terminal to see message)
2. Select "Join Game"
3. Select Find Server and select one, eg BZFX :: Boxy War
4. Select Connect
5. bzflag quits with the above assertion failure

Actual results:
bzflag crashes

Expected results:
bzflag loads the level and play begins

Additional info:
For the levels that this does not happen on, bzflag plays and works perfectly.
It either works or does not.
I downloaded the src.rpm and could not find any reference to the information
given in the assertion error above.
Unrelated, but attempting to rebuild the src.rpm failed with the error:
g++: /usr/lib/libidn.so: No such file or directory
Comment 1 Nils Philippsen 2007-08-31 03:15:11 EDT
FC5/FE5 is out of maintenance. Could you reproduce your problem with a later
version, e.g. bzflag-2.0.8-4.fc7 on Fedora 7?

Note You need to log in before you can comment on or make changes to this bug.